## FolksLocalIdDetails

FolksLocalIdDetails — This interface represents the list of "iid"s corresponding to FolksPersonas from backends with write support so that they can be linked.

## Functions

void | folks_local_id_details_change_local_ids ()
void | folks_local_id_details_change_local_ids_finish ()
GeeSet * | folks_local_id_details_get_local_ids ()
void | folks_local_id_details_set_local_ids ()

## Types and Values

| FolksLocalIdDetails
struct | FolksLocalIdDetailsIface

## Description

This is necessary so that personas from the same backend can be linked together even if they have no other linkeable properties set.

## Functions

### folks_local_id_details_change_local_ids ()

    void
    folks_local_id_details_change_local_ids
                                   (FolksLocalIdDetails *self,
                                    GeeSet *local_ids,
                                    GAsyncReadyCallback _callback_,
                                    gpointer _user_data_);

Change the contact's local IDs.

It's preferred to call this rather than setting "local-ids" directly, as this method gives error notification and will only return once the local IDs have been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the local IDs failed

See also: `folks_local_id_details_change_local_ids_finish()`

#### Parameters

self | the FolksLocalIdDetails instance |
local_ids | . the set of local IDs . | [in]
_callback_ | callback to call when the request is satisfied. | [scope async]
_user_data_ | the data to pass to `_callback_` function. | [closure]

Since: 0.6.2

### folks_local_id_details_change_local_ids_finish ()

    void
    folks_local_id_details_change_local_ids_finish
                                   (FolksLocalIdDetails *self,
                                    GAsyncResult *_res_,
                                    GError **error);

Change the contact's local IDs.

It's preferred to call this rather than setting "local-ids" directly, as this method gives error notification and will only return once the local IDs have been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the local IDs failed

See also: `folks_local_id_details_change_local_ids()`

#### Parameters

self | the FolksLocalIdDetails instance |
_res_ | a GAsyncResult |
error | location to store the error occurring, or `NULL` to ignore. | [error-domains FolksPropertyError]

Since: 0.6.2

### folks_local_id_details_get_local_ids ()

    GeeSet *
    folks_local_id_details_get_local_ids (FolksLocalIdDetails *self);

Get and return the current value of the "local-ids" property.

The IIDs corresponding to FolksPersonas in a backend that we fully trust.

#### Parameters

self | the FolksLocalIdDetails instance to query |

#### Returns

the value of the "local-ids" property

Since: 0.5.1

### folks_local_id_details_set_local_ids ()

    void
    folks_local_id_details_set_local_ids (FolksLocalIdDetails *self,
                                          GeeSet *value);

Set the value of the "local-ids" property to `value` .

The IIDs corresponding to FolksPersonas in a backend that we fully trust.

#### Parameters

self | the FolksLocalIdDetails instance to modify |
value | the new value of the "local-ids" property |

Since: 0.5.1

## Types and Values

### FolksLocalIdDetails

    typedef struct _FolksLocalIdDetails FolksLocalIdDetails;

This interface represents the list of "iid"s corresponding to FolksPersonas from backends with write support so that they can be linked.

This is necessary so that personas from the same backend can be linked together even if they have no other linkeable properties set.

Since: 0.5.0

### struct FolksLocalIdDetailsIface

    struct FolksLocalIdDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_local_ids) (FolksLocalIdDetails* self, GeeSet* local_ids, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_local_ids_finish) (FolksLocalIdDetails* self, GAsyncResult* _res_, GError** error);
    	GeeSet* (*get_local_ids) (FolksLocalIdDetails* self);
    	void (*set_local_ids) (FolksLocalIdDetails* self, GeeSet* value);
    };

Interface for creating FolksLocalIdDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_local_ids` () | virtual method called by `folks_local_id_details_change_local_ids()` |
`change_local_ids_finish` () | asynchronous finish function for `change_local_ids`, called by `folks_local_id_details_change_local_ids()` |
`get_local_ids` () | getter method for the abstract property "local-ids" |
`set_local_ids` () | setter method for the abstract property "local-ids" |